ANABOX smart
API ReferenceUsersUpdatetimesUserid

Update times for a user by ID

Updates default intake times for a specific user identified by ID.

POST
/users/updatetimes/{userId}
x-api-key<token>

API key for authentication

In: header

Response Body

application/json

curl -X POST "https://api.memo.wirewire.de/v1/users/updatetimes/{userId}"
[
  {
    "rrule": {
      "freq": "DAILY",
      "byweekday": [
        0,
        1,
        2,
        6,
        3
      ],
      "exclude": [
        "2024-03-28T10:45:00.000Z"
      ]
    },
    "patient": "614fb1d709dd9f6de85d6374",
    "date": "2024-03-25T00:30:00.000Z",
    "timeCategory": "noon",
    "amount": 1,
    "emptyStomach": false,
    "instruction": "",
    "unit": "St",
    "bake": false,
    "id": "660079fd11fdc2dd935e43af"
  }
]